Brivio API reference
Legal

Add a hearing to a court case; a future date becomes the case's next_hearing_at. Honours Idempotency-Key. (scope: legal:write)

POST
/legal/court-cases/{id}/hearings

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Court case id

Formatuuid

Request Body

application/json
  1. body
hearing_date*string
Formatdate
time?string
Lengthlength <= 10
room?string
Lengthlength <= 60
panel?string
Lengthlength <= 255
solution?string
Lengthlength <= 8000
solution_summary?string
Lengthlength <= 500
notes?string
Lengthlength <= 4000

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/legal/court-cases/497f6eca-6276-4993-bfeb-53cbbbba6f08/hearings" \  -H "Content-Type: application/json" \  -d '{    "hearing_date": "2019-08-24"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "case_id": "c74269e5-1f97-4e20-9164-ffbe3494d8d6",    "hearing_date": "2019-08-24",    "time": "string",    "room": "string",    "panel": "string",    "solution": "string",    "solution_summary": "string",    "notes": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "error": null}